# API Logic Server Project

This is an **auto-generated microservice** created by [API Logic Server](https://apilogicserver.github.io/).

## 🚀 What's Included (Auto-Generated)

- **Complete Admin Web App** - Multi-table CRUD interface
- **JSON:API REST Endpoints** - All database tables exposed
- **Business Logic Engine** - Declarative rules system
- **Security Framework** - Authentication and authorization
- **Swagger Documentation** - Interactive API docs

## Quick Start

```bash
# Run the complete system
python api_logic_server_run.py

# Access admin app
open http://localhost:5656

# View API documentation  
open http://localhost:5656/api
```

## 📖 Documentation

- [Getting Started Guide](./docs/COPILOT_GUIDE.md)
- [Main README](./readme.md)
- [API Logic Server Docs](https://apilogicserver.github.io/)

## 🛠️ Customization

This is a **working system** - customize rather than recreate:

- **Business Logic**: `logic/declare_logic.py`
- **API Endpoints**: `api/customize_api.py` 
- **Security Rules**: `security/declare_security.py`
- **Admin UI Config**: `ui/admin/admin.yaml`

---

**Generated by API Logic Server** - Instant microservices from your database.
